Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 456481 - condor_status always prints a tailing \n to stdout
Summary: condor_status always prints a tailing \n to stdout
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: grid
Version: 1.0
Hardware: All
OS: Linux
low
low
Target Milestone: 1.2
: ---
Assignee: Matthew Farrellee
QA Contact: Kim van der Riet
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-24 00:58 UTC by Matthew Farrellee
Modified: 2010-03-16 16:01 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-16 16:01:54 UTC


Attachments (Terms of Use)

Description Matthew Farrellee 2008-07-24 00:58:27 UTC
you always have to strip the empty line...

$ condor_status -const 'State=="Claimed"' -format '%s\n' ClientMachine | sort |
uniq -c 1 ... 11 suzy.cs.wisc.edu

i believe this comes from condor_status.V6/prettyPrint.C:162

is there a reason the 'printf ("\n");' is there? the line has been there since
raman first checked in condor_status.V6.

i'd propose removing it if there is no good reason.

Comment 1 Matthew Farrellee 2009-10-27 21:27:56 UTC
Resolved by 7.4.1-0.2


Note You need to log in before you can comment on or make changes to this bug.